# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/perl gtk+-devel
# END SourceDeps(oneline)
Summary(sv): Adabindning till GTK+
%set_verify_elf_method unresolved=relaxed
Name:           GtkAda
Version:        2.24.2
Release:        alt1_5
Summary:        Ada binding to GTK+
Summary(sv):    Adabindning till GTK+
Group:          System/Libraries
License:        GPLv2+
URL:            http://libre.adacore.com/libre/tools/GtkAda/
# Adacore don't understand how to publish files for downloading, but the source
# is available from here:
# http://libre.adacore.com/libre/download2
Source:         gtkada-gpl-%{version}-src.tgz
# Patch to make project files use fedora-gnat-project-common:
Patch1:         GtkAda-2.14.1-multilib_gpr.patch
# Fedora-specific patch to make gtkada-config use uname:
Patch2:         GtkAda-2.14.1-multilib_gtkada-config.patch
# Patch to fix implicit DSO linking, proposed upstream 2010-02-16:
# http://lists.adacore.com/pipermail/gtkada/2010-February/003871.html
Patch3:         GtkAda-2.18.0-lm.patch
# Patch for a more flexible build system, proposed upstream 2011-02-14:
# http://lists.adacore.com/pipermail/gtkada/2011-February/003969.html
Patch5:         GtkAda-2.24.2-configuration-5.patch
# Hack to get libgtkada_gl in the right place:
Patch7:         GtkAda-2.18.0-gl_placement.patch
# GNU-specific patch to avoid link bloat:
Patch8:         GtkAda-2.18.0-link_as_needed.patch
# Patch to avoid conflicts where two project files claim the same source files,
# fixed upstream 2012-08-07:
# http://lists.adacore.com/pipermail/gtkada/2012-August/004175.html
Patch11:        GtkAda-2.24.2-source_dir.patch
# "Only <glib.h> can be included directly." (said to be fixed upstream):
Patch12:        GtkAda-2.18.0-no_include_gmain.patch
# Patch to remove obsolete manpage cross-references, proposed upstream 2012-07-27:
# http://lists.adacore.com/pipermail/gtkada/2012-July/004160.html
Patch13:        GtkAda-2.24.2-man_xref.patch
BuildRequires:  gcc-gnat
BuildRequires:  gtk2-devel >= 2.21
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  bonobo-activation-devel
BuildRequires:  libbonoboui-devel
BuildRequires:  libglade2-devel
BuildRequires:  libGL-devel
BuildRequires:  libGLU-devel
BuildRequires:  libGConf-devel
BuildRequires:  fedora-gnat-project-common >= 3
# Build only on architectures where gcc-gnat is available:
ExclusiveArch:  %{GNAT_arches}

%global common_description_en \
%{name} is an Ada binding to the graphical toolkit GTK+. It allows you to \
develop graphical user interfaces in Ada using GTK+.

%global common_description_sv \
%{name} A.r en adabindning till den grafiska verktygslA.dan GTK+. Med %{name} \
kan du utveckla grafiska anvA.ndargrA.nssnitt i ada baserade pA. GTK+.
Source44: import.info

%description 

%%{common_description_en}
%description -l sv 


%{common_description_sv}
%package devel
Summary(sv): Filer för programmering med %{name}
Summary:        Development files for %{name}
Summary(sv):    Filer för programmering med %{name}
Group:          Development/Other
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       %{name}-gnome%{?_isa} = %{version}-%{release}
Requires:       %{name}-gl%{?_isa} = %{version}-%{release}
Requires:       fedora-gnat-project-common >= 2
# gtkada.pc requires gtk+-2.0, maybe incorrectly.
Requires:       gtk2-devel%{?_isa}

%description devel 

The %%{name}-devel package contains source code and linking information for
developing applications that use %%{name}.

The documentation is in %%{name}-doc.

%%{common_description_en}
%description devel -l sv 

Paketet %{name}-devel innehåller källkod och länkningsinformation som behövs
för att utveckla program som använder %{name}.

Dokumentationen finns i %{name}-doc.


%{common_description_sv}
%package gnome
Summary(sv): %{name}s bindning till Gnomes GUI-bibliotek
Summary:        %{name} binding to Gnome's GUI libraries
Summary(sv):    %{name}s bindning till Gnomes GUI-bibliotek
Group:          System/Libraries

%description gnome 

The %%{name}-gnome package contains the %%{name} binding to Gnome's graphical
user interface libraries.

%%{common_description_en}
%description gnome -l sv 

Paketet %{name}-gnome innehåller %{name}s bindning till Gnomes bibliotek för
grafiska användargränssnitt.


%{common_description_sv}
%package gl
Summary(sv): %{name}s bindning till OpenGL
Summary:        %{name} binding to OpenGL
Summary(sv):    %{name}s bindning till OpenGL
Group:          System/Libraries

%description gl 

The %%{name}-gl package contains the %%{name} binding to the OpenGL interface.

%%{common_description_en}
%description gl -l sv 

Paketet %{name}-gl innehåller %{name}s bindning till OpenGL-gränssnittet.


%{common_description_sv}
%package doc
Summary(sv): Dokumentation till %{name}
Summary:        Documentation for %{name}
Summary(sv):    Dokumentation till %{name}
Group:          Documentation
BuildArch:      noarch

%description doc 

The %%{name}-doc package contains the documentation for %%{name}.

%%{common_description_en}
%description doc -l sv 

Paketet %{name}-doc innehåller dokumentationen till %{name}.


%{common_description_sv}
%prep
%setup -q -n gtkada-%{version}-src
%patch5
%patch1
%patch2
%patch3
%patch7
%patch8
%patch11
%patch12
%patch13
find -name .cvsignore | xargs rm -fr


%build
%{configure} --enable-build=Debuginfo --disable-subdirs --disable-static
# Regenerate the generated Ada packages. Use the included version of
# Gtk-2.0.gir for now, because the one from gtk2-devel causes errors and the
# GTKada developers recommend waiting for the GTK 3 compatible version.
make generate
make GNATMAKE="gnatmake %{Gnatmake_optflags}"


%install
%{makeinstall_std} gprdir=%{_GNAT_project_dir}

# Also install the gtkada-config manpage.
mkdir -p %{buildroot}%{_mandir}/man1
(cd docs; install -m 0644 gtkada-config.1 %{buildroot}%{_mandir}/man1)

# Put the info documentation in the right place.
mkdir -p %{buildroot}%{_infodir}
mv %{buildroot}%{_docdir}/gtkada/gtkada_ug/gtkada_ug.info --target-directory=%{buildroot}%{_infodir}

# Put the examples in the documentation directory, excluding binaries.
rm %{buildroot}%{_datadir}/examples/gtkada/testgtk/testgtk %{buildroot}%{_datadir}/examples/gtkada/testgtk/testcairo
mv --no-target-directory %{buildroot}%{_datadir}/examples/gtkada %{buildroot}%{_docdir}/gtkada/examples

# features and known-problems belong with the documentation for developers.
# The license needs to be replicated in the doc subpackage as it doesn't depend
# on the main package.
cp features known-problems COPYING %{buildroot}%{_docdir}/gtkada


%files
%{_libdir}/libgtkada-*.so.*
%doc AUTHORS COPYING README
# There is a COPYING3 in the 2.24.2 tarball, but the source files' headers say
# version 2 or later, so COPYING3 is left out of the package for now.


%files gnome
%{_libdir}/libgnomeada-*.so.*


%files gl
%{_libdir}/libgtkada_gl-*.so.*


%files devel
%{_bindir}/*
%{_includedir}/gtkada
%{_libdir}/gtkada
%{_GNAT_project_dir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gps
%{_mandir}/man*/*


%files doc
%{_docdir}/gtkada
%{_infodir}/*


%changelog
* Tue Jan 29 2013 Igor Vlasenko <viy@altlinux.ru> 2.24.2-alt1_5
- update to new release by fcimport

* Wed Dec 26 2012 Igor Vlasenko <viy@altlinux.ru> 2.24.2-alt1_4
- initial fc import

